<div class="document-component ng-cloak" data-ng-droppable="pip||!readOnly" data-ng-drop-mimetype="Files">


  <div class="document-title-wrap">
    <h2 class="document-title big-title-blue">Documenten</h2>
    <div class="document-actions" data-ng-controller="nl.mintlab.docs.DocumentListController"
         data-ng-init="root=list" data-ng-include="'/docs/file-actions.html'"></div>
  </div>


  <div class="document-list document-list-intake" data-ng-controller="nl.mintlab.docs.DocumentListController"
       data-ng-init="root=intake;maxDepth=0" data-ng-include="'/docs/file-list.html'"
       data-ng-show="root.getFiles().length>0">
  </div>

  <div class="document-list document-list-main" data-ng-controller="nl.mintlab.docs.DocumentListController"
       data-ng-init="root=list" data-ng-show="view=='list'" data-ng-include="'/docs/file-list.html'">
  </div>

  <div class="document-list" data-ng-controller="nl.mintlab.docs.DocumentListController"
       data-ng-init="root=trash;maxDepth=0" data-ng-show="view=='trash'" data-ng-include="'/docs/file-list.html'">
  </div>

  <div class="document-upload-component <[toGo.length&&'document-upload-component-visible'||'']>"
       data-ng-controller="nl.mintlab.docs.DocumentUploadController"
       data-ng-class="{'document-upload-component-error':!toGo.length&&failed.length}">
    <div class="doc-ul-progress-info" data-ng-show="toGo.length">
            <span class="doc-ul-progress-info-left"><span data-ng-pluralize data-count="uploadQueue.length"
                                                          data-when="{ 'one': '%%{} bestand wordt geüpload%%', 'other': '%%{} bestanden worden geüpload%%' }"></span> <a
              data-ng-click="abortUpload()">%%annuleren%%</a></span>
      <span class="doc-ul-progress-info-right"><[progress*100|number:0]>%
    </div>
    <div class="doc-ul-progress-bar" data-ng-show="toGo.length">
      <div class="doc-ul-progress-bar-inner" data-zs-style="width: <[getProgressBarWidth()]>%;">
      </div>
    </div>
    <div class="doc-ul-progress-result"
         data-ng-class="{'doc-ul-progress-result-error':!toGo.length&&failed.length&&completed.length}">
      <div class="doc-ul-progress-done" data-ng-show="!toGo.length&&completed.length">
        <i class="mdi mdi-check"></i>
        <span data-ng-pluralize data-count="completed.length"
              data-when="{'one': '%%{} bestand geüpload%%', 'other': '%%{} bestanden geüpload%%'}"></span>
      </div>
      <div class="doc-ul-progress-error" data-ng-show="!toGo.length&&failed.length">
        <i class="mdi mdi-close"></i>
        <span data-ng-pluralize data-count="failed.length"
              data-when="{'one': '%%{} bestand kon niet worden geüpload%%', 'other': '%%{} bestanden konden niet worden geüpload%%'}"></span>
      </div>
    </div>
  </div>

  <div class="drop-zone-feedback">%%Sleep hier bestanden naartoe om toe te voegen%%</div>

</div>

<script type="text/ng-template" id="/docs/file-actions.html">

  <div class="document-list-actions" data-ng-show="root==list||root==trash">
    <ul class="document-list-actions-left">
      <li class="document-list-action document-list-upload" data-ng-show="canUpload&&view=='list'"
          data-ng-upload="uploadFileV2($files)" data-zs-tooltip="%%Upload een document van uw computer%%">
        <button>
          <i class="mdi mdi-upload"></i>
        </button>

        <form action="<[pip&&'/pip/file/create'||'/api/v2/document/create_document']>" method="POST" enctype="multipart/form-data">
          <input type="file" name="<[pip&&'file'||'document_file']>" multiple>
        </form>
      </li>
      <li class="document-list-action document-list-create-folder"
          data-ng-show="canUpload&&!readOnly&&!pip&&view=='list'" data-zs-tooltip="%%Maak een nieuwe map aan%%">
        <button data-ng-click="addFolder(list,'%%Nieuwe map%%');">
          <i class="mdi mdi-folder-plus"></i>
        </button>
      </li>
      <li class="document-list-action document-list-create-from-template"
          data-ng-controller="nl.mintlab.docs.TemplateController"
          data-ng-show="templates.length&&!readOnly&&view=='list'"
          data-zs-tooltip="%%Genereer een document van een sjabloon%%">
        <button data-zs-popup="'/partials/docs/template.html'" data-ng-click="openPopup()">
          %%Sjabloon%%
        </button>
      </li>
      <li class="document-list-action document-list-download-all" data-ng-show="readOnly"
          data-zs-tooltip="%%Download alle documenten%%">
        <button data-ng-click="downloadAllFiles()">
          <i class="mdi mdi-download"></i>
        </button>
      </li>
    </ul>
    <ul class="document-list-actions-right">
      <li class="document-list-action document-list-search">
        <form>
          <input
            type="text"
            data-ng-model="filter.query"
            placeholder="Filter alle documenten"
          >
        </form>
      </li>
      <li class="document-list-action document-list-trash" data-ng-show="!pip&&view=='list'"
          data-zs-tooltip="%%Prullenbak%%">
        <button data-ng-click="setView('trash')">
                    <span class="document-list-trash-button-inner">
                        <i
                          class="mdi mdi-delete"></i> <span>(<[trash.getFolders().length+trash.getFiles().length]>)</span>
                    </span>
        </button>
      </li>
      <li class="document-list-action document-list-list" data-ng-show="view=='trash'">
        <button data-ng-click="setView('list')">
                    <span class="document-list-list-button-inner">
                        <i class="mdi mdi-arrow-left"></i> <span>%%Documenten%%</span>
                        <span class="document-list-trash-button-inner"></span>
                    </span>
        </button>
      </li>
    </ul>
  </div>
</script>

<script type="text/ng-template" id="/docs/file-list.html">
  <div
    class="case-documents-bar clearfix"
    data-ng-show="root==list&&caseDocs.length"
  >
    <ul>
      <li class="case-documents-bar-title">
        <small>%%Zaakdocumenten%%:</small>
      </li>
      <li
        data-ng-repeat="caseDoc in caseDocs"
        class="list-view-entity-label <[getCaseDocAssignment(caseDoc)&&'case-doc-type-assigned'||'']>"
        data-ng-draggable="!readOnly&&isNotReferentialCaseDoc(caseDoc)"
        data-ng-drag-mimetype="zs/case-type"
        data-ng-drag-data="{ caseDoc: caseDoc, clearPrevious: false }"
      >
        <span class="item-label"><[getCaseDocLabel(caseDoc)]></span>
      </li>
    </ul>
  </div>
  <div
    class="action-bar-wrapper"
    data-ng-show="selectedFiles.length>0&&!dragging"
  >
    <ul class="action-bar">
      <li class="action-bar-select">
        <input
          type="checkbox"
          data-ng-click="onSelectAllClick($event)"
          data-ng-checked="isSelected(root)"
          data-ng-show="!filter.query"
        >
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='folder'"
      >
        <button
          data-zs-popup="'/partials/docs/edit-directory-name.html'"
          data-ng-click="openPopup()"
        >
          <span class="action-bar-button-label">%%Naam wijzigen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
      >
        <button
          class="action-bar-button-label"
          data-ng-click="downloadFile(selectedFiles[0].id)"
          target="_blank" rel="noopener"
        >
          <span>%%Openen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
        data-zs-dropdown-menu-decorate
      >
        <button class="action-bar-dropdown-toggle">
          <span class="action-bar-open-dropdown"></span>
        </button>
        <ul class="action-bar-dropdown-menu doc-dropdown-menu">
          <li class="action-bar-button">
            <button
              data-ng-click="downloadFile(selectedFiles[0].id, 'pdf')"
              class="doc-dropdown-menu-item"
            >… %%als PDF%%</button>
            <button
              data-ng-click="downloadFile(selectedFiles[0].id, 'odt')"
              class="doc-dropdown-menu-item"
              data-ng-show="selectedFiles[0].extension_dotless=='odt'"
            >… %%als Open Office Document%%</button>
            <button
              data-ng-click="downloadFile(selectedFiles[0].id, 'doc')"
              class="doc-dropdown-menu-item"
              data-ng-show="selectedFiles[0].extension_dotless=='odt'"
            >… %%als Word Document%%</button>
          </li>
        </ul>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length>0"
      >
        <button
          data-ng-click="downloadZip(selectedFiles)"
        >
          <span>%%Downloaden (ZIP)%%</span>
        </button>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="isEditAvailable() && ( isWebOdfEditAvailable() ||  isLocalEditAvailable() || isXentialEditAvailable() || isZohoEditAvailable() )"
        data-zs-dropdown-menu-decorate
      >
        <button
          data-ng-click=""
          target="_blank" rel="noopener"
        >
          <span>%%Bewerken%%</span>
          <span class="action-bar-open-dropdown"></span>
        </button>
        <ul class="action-bar-dropdown-menu doc-dropdown-menu">
          <li class="action-bar-button">
            <button
              class="doc-dropdown-menu-item"
              data-ng-show="isLocalEditAvailable()"
              data-ng-click="handleEditLocalClick(selectedFiles[0])"
            >
              %%… lokaal%%
            </button>
            <button
              class="doc-dropdown-menu-item"
              data-ng-show="isWebOdfEditAvailable()"
              data-zs-popup="'/partials/docs/odf-edit-popup.html'"
              data-ng-click="handleEditWebOdfClick(openPopup)"
            >
              %%… met WebODF%%
            </button>
            <button
              class="doc-dropdown-menu-item"
              data-ng-show="isXentialEditAvailable()"
              data-zs-popup="'/partials/docs/odf-edit-popup.html'"
              data-ng-click="handleEditXentialClick(openPopup)"
            >
              %%… met Xential%%
            </button>
            <button
              class="doc-dropdown-menu-item"
              data-ng-show="isZohoEditAvailable()"
              data-zs-popup="'/partials/docs/odf-edit-popup-zoho.html'"
              data-ng-click="handleEditZohoClick(openPopup)"
            >
              %%… met ZOHO%%
            </button>
          </li>
        </ul>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length===1&&isSignable(selectedFiles[0])&&root==list"
      >
        <button data-ng-click="signDocument(selectedFiles[0])">
            <span>%%Ondertekenen%%</span>
        </button>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length===1&&isKoppelAppSignerActive()&&root==list"
      >
        <button
            data-ng-click="openPopup()"
            data-zs-popup="'/partials/docs/koppelapp_signer.html'"
            data-ng-init="context='docs'"
        >
            <span><[getDocumentKoppelAppButtonLabel("%%Ondertekenen (koppel.app)%%")]></span>
        </button>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length===1&&isKoppelAppDocumentMaskerActive()&&root==list"
      >
        <button
            data-ng-click="openPopup()"
            data-zs-popup="'/partials/docs/koppelapp_document_masker.html'"
            data-ng-init="context='docs'"
        >
            <span><[getDocumentKoppelAppDocumentMaskerButtonLabel("%%Anonimiseren (koppel.app)%%")]></span>
        </button>
      </li>

      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root==list"
      >
        <button
          data-zs-confirm="removeEntity(selectedFiles)"
          data-zs-confirm-enabled="hasHiddenFilesInSelection()"
          data-zs-confirm-verb="Verwijderen"
          data-zs-confirm-label="Eén of meer van de geselecteerde mappen is niet leeg. Weet u zeker dat u deze selectie wilt verwijderen?"
        >
          <span class="action-bar-button-label">%%Verwijderen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root===trash"
      >
        <button
          data-ng-click="restoreEntity(selectedFiles)"
        >
          <span class="action-bar-button-label">%%Herstellen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root===trash&&canDelete"
      >
        <button
          data-ng-click="destroyEntity(selectedFiles)"
        >
          <span class="action-bar-button-label">%%Definitief verwijderen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root===list&&hasFilesInSubdirectories()"
      >
        <button
          data-ng-click="moveEntity(selectedFiles, root)"
        >
          <span class="action-bar-button-label">%%Verplaats naar hoofdmap%%</span>
        </button>
      </li>
      <li
        class="action-bar-button action-bar-dropdown-button"
        data-ng-show="!readOnly&&root==list&&caseDocs.length&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
        data-zs-dropdown-menu-decorate
      >
        <button>
          <span class="action-bar-button-label">%%Zaakdocument%%</span>
          <span class="action-bar-open-dropdown"></span>
        </button>
        <ul class="action-bar-dropdown-menu doc-dropdown-menu">
          <li
            class="action-bar-button case-type-doc"
            data-ng-class="{ 'case-type-doc-active': hasCaseDoc(selectedFiles, doc)}"
            data-ng-repeat="doc in [ null ].concat(caseDocs) | filter:isNotReferentialCaseDoc"
          >
            <button
              data-ng-click="handleCaseDocClick(doc, $event)"
              class="doc-dropdown-menu-item"
            >
              <i class="mdi mdi-check"></i>
              <span><[getCaseDocLabel(doc)||'%%Geen%%']></span>
            </button>
          </li>
        </ul>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root==intake"
      >
        <button
          data-ng-click="acceptFile(selectedFiles);deselectAll(selectedFiles);"
        >
          <span class="action-bar-button-label">%%Accepteren%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root==intake"
      >
        <button
          data-zs-popup="'/partials/docs/reject-popup.html'"
          data-ng-click="openPopup()"
        >
          <span class="action-bar-button-label">%%Weigeren%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length > 0"
        data-zs-dropdown-menu-decorate
      >
        <button
          data-ng-click=""
          target="_blank" rel="noopener"
        >
          <span>%%Kopi&euml;ren%%</span>
          <span class="action-bar-open-dropdown"></span>
        </button>
        <ul class="action-bar-dropdown-menu doc-dropdown-menu">
          <li class="action-bar-button">
            <button
              class="doc-dropdown-menu-item"
              data-ng-click="copyFileAsPdf(selectedFiles[0]);"
              data-ng-show="!readOnly&&root==list&&selectedFiles.length==1&&canCopyAsPdf(selectedFiles[0])"
            >%%… naar PDF%%</button>
            <button
              class="doc-dropdown-menu-item"
              data-zs-popup="'/partials/docs/copy-to-popup.html'"
              data-ng-click="copyType='related';openPopup()"
            >%%… naar gerelateerde zaak%%</button>
            <button
              class="doc-dropdown-menu-item"
              data-zs-popup="'/partials/docs/copy-to-popup.html'"
              data-ng-click="copyType='case';openPopup()"
            >%%… naar andere zaak%%</button>
          </li>
        </ul>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root==list"
      >
        <button
          data-zs-popup="'/partials/docs/merge-documents-popup.html'"
          data-ng-click=";openPopup()"
          data-ng-show="!readOnly&&root==list&&selectedFiles.length>1&&canMergeToPdf(selectedFiles)"
        >
          <span class="action-bar-button-label">%%Samenvoegen%%</span>
        </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="!readOnly&&root==list&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
        data-ng-upload="replaceFile(selectedFiles[0], $files)"
      >
        <button class="doc-dropdown-menu-item">
          <span>%%Vervangen%%</span>
        </button>
        <form action="/file/update_file" method="POST" enctype="multipart/form-data">
          <input type="file" name="file">
        </form>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="case.instance.status !== 'resolved' && getAttachments().length"
      >
      <button 
        data-ng-click="attachments=getAttachments();openPopup()" 
        data-zs-popup="'/html/case/send-message.html'" 
        data-ng-init="context='docs'">
          <span class="action-bar-button-label">%%Bericht versturen%%</span>
      </button>
      </li>
      <li
        class="action-bar-button"
        data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
      >
        <button
          data-ng-click="setEditMode(false);openPopup()"
          data-zs-popup="'/partials/docs/properties-popup.html'"
        >
          <span class="action-bar-button-label">%%Eigenschappen%%</span>
        </button>
      </li>
    </ul>
  </div>
  <div
    data-ng-controller="nl.mintlab.docs.DocumentListViewController"
    class="list-view"
    data-ng-show="viewType='listView'"
  >
    <div
      class="list-view-table-header list-view-row"
      data-ng-show="selectedFiles.length==0&&!dragging"
    >
      <div class="list-view-entity-highlight">
        <div class="list-view-entity-options">
          <input
            type="checkbox"
            data-ng-click="onSelectAllClick($event)"
            data-ng-checked="isSelected(root)"
            data-ng-show="!filter.query"
          >
        </div>
        <div
          class="list-view-col list-view-entity-title list-view-sort"
          data-ng-click="sortBy('name')"
        >
          <span class="list-view-col-title">%%Titel%%</span>
          <span
            class="list-view-col-state-asc"
            data-ng-show="sort=='name'&&reversed"
          >&#9650;</span>
          <span
            class="list-view-col-state-desc"
            data-ng-show="sort=='name'&&!reversed"
          >&#9660</span>
        </div>
        <div
          class="list-view-col list-view-entity-type list-view-sort"
          data-ng-click="sortBy('type')"
        >
          <span class="list-view-col-title">%%Soort%%</span>
          <span
            class="list-view-col-state-asc"
            data-ng-show="sort=='type'&&reversed"
          >&#9650;</span>
          <span
            class="list-view-col-state-desc"
            data-ng-show="sort=='type'&&!reversed"
          >&#9660</span>
        </div>
        <div
          class="list-view-col list-view-entity-origin list-view-sort"
          data-ng-click="sortBy('origin')"
        >
          <span class="list-view-col-title">%%Richting%%</span>
          <span
            class="list-view-col-state-asc"
            data-ng-show="sort=='origin'&&reversed"
          >&#9650;</span>
          <span
            class="list-view-col-state-desc"
            data-ng-show="sort=='origin'&&!reversed"
          >&#9660</span>
        </div>
        <div
          class="list-view-col list-view-entity-origin-date list-view-sort"
          data-ng-click="sortBy('origin_date')"
          title="Verzend- of ontvangstdatum"
        >
          <span class="list-view-col-title">%%Datum%%</span>
          <span
            class="list-view-col-state-asc"
            data-ng-show="sort=='origin_date'&&reversed"
          >&#9650;</span>
          <span
            class="list-view-col-state-desc"
            data-ng-show="sort=='origin_date'&&!reversed"
          >&#9660</span>
        </div>
        <div
          class="list-view-col list-view-entity-edit list-view-sort"
          data-ng-click="sortBy('edit')"
        >
          <span class="list-view-col-title">%%Gewijzigd%%</span>
          <span
            class="list-view-col-state-asc"
            data-ng-show="sort=='edit'&&reversed"
          >&#9650;</span>
          <span
            class="list-view-col-state-desc"
            data-ng-show="sort=='edit'&&!reversed"
          >&#9660</span>
        </div>
        <div
          class="list-view-col list-view-entity-actions"
          data-ng-show="!readOnly&&root==intake"
        >
          Acties
        </div>
      </div>
    </div>
    <zs-spinner
      class="spinner-regular spinner-inline"
      is-loading="!isInitialLoadComplete"
    ></zs-spinner>
    <div
      data-ng-controller="nl.mintlab.docs.FolderController"
      class="list-view-entity object-type-<[entity.getEntityType()]>"
      data-ng-init="entity=root"
      data-zs-multiselect="<[!readOnly]>"
      data-ng-multiselect="!readOnly"
      data-ng-include="'/docs/list-view-folder.html'"
      data-ng-show="isInitialLoadComplete"
    ></div>
  </div>

</script>

<script type="text/ng-template" id="/docs/list-view-folder.html">

  <div
    class="list-view-entity-info list-view-row <[entity==root && 'list-view-root' || '']> <[collapsed && 'collapsed' || 'open']> <[isSelected(entity)&&'entity-selected'||'']>"
    data-ng-click="!pip&&onEntityClick($event,entity)"
    data-ng-include="'/docs/list-view-entity-info.html'"
    data-zs-multiselectable data-ng-if="entity.getDepth()>0||!!dragging"
    data-ng-droppable="!readOnly"
    data-ng-drop-mimetype="*"
    data-zs-contextmenu="!readOnly&&!pip&&'/partials/docs/doc-context-menu.html'||''"
    data-folder-uuid="<[entity.trueUuid]>"
  >
  </div>

  <ul class="list-view-list" data-ng-show="!collapsed">
    <div class="file-list-empty-notice"
         data-ng-show="entity==root&&!getFilteredChildren().length&&(root==list||root==trash)&&initialized">
      %%Geen bestanden%%
    </div>
    <li
      class="object-type object-type-<[entity.getEntityType()]>"
      data-ng-class="{'object-type-updating': entity.updating}"
      data-ng-repeat="entity in entity.getFolders() | orderBy:getSort():reversed"
      data-ng-draggable="!readOnly&&entity.id!==-1"
      data-ng-drag-image="'/partials/docs/drag-image.html'"
      data-ng-drag-data="entity"
      data-ng-drag-mimetype="zs/file"
      data-ng-controller="nl.mintlab.docs.FolderController"
      data-ng-show="getFilteredChildren(entity).length || filterEntity(entity)"
      data-ng-include="'/docs/list-view-folder.html'">
    </li>
    <li
      class="object-type object-type-<[entity.getEntityType()]>"
      data-ng-class="{'object-type-updating': entity.updating, highlighted: entity.id == highlightedId, 'disabled': isDisabled(entity) }"
      data-mimetype="<[entity.getMimeType()]>"
      data-ng-repeat="entity in (entity.getFiles() | orderBy:getSort():reversed | filter:filterEntity) track by entity.id"
      data-ng-draggable="!readOnly&&root==list&&entity.type.name!='zd'"
      data-ng-drag-mimetype="zs/file"
      data-ng-drag-data="entity"
      data-ng-drag-image="'/partials/docs/drag-image.html'"
      data-ng-droppable="!readOnly&&root==list"
      data-ng-drop-mimetype="zs/case-type"
      data-ng-controller="nl.mintlab.docs.FileController"
      data-ng-include="'/docs/list-view-file.html'"
    >
    </li>

  </ul>

</script>

<script type="text/ng-template" id="/docs/list-view-file.html">
  <div
    class="list-view-entity-info list-view-row <[isSelected(entity)&&'entity-selected'||'']>"
    data-ng-click="!pip&&onEntityClick($event,entity)"
    data-ng-include="'/docs/list-view-entity-info.html'"
    data-zs-multiselectable
    data-zs-contextmenu="!pip&&'/partials/docs/doc-context-menu.html'||''"
    data-ng-if="!isDisabled(entity)"
  >
  </div>
  <div
    class="list-view-entity-info list-view-row"
    data-ng-include="'/docs/list-view-entity-info.html'"
    data-ng-if="isDisabled(entity)"
  >
  </div>
  <div class="new-entity-options" data-ng-show="root==intake&&!collapsed">
    <div class="new-entity-active"></div>
    <div class="new-entity-revision" data-ng-show="entity.is_duplicate_of">
      <form class="inner">
        <div class="row row-version">
          <div class="column large-4">%%Nieuwe versie%%</div>
          <div class="column large-8">
            <label>
              <input type="radio" data-ng-model="update.is_revision" data-ng-value="1"
                     data-ng-change="saveAttr('is_revision')">
              %%Ja%%
            </label>
            <label>
              <input type="radio" data-ng-model="update.is_revision" data-ng-value="0"
                     data-ng-change="saveAttr('is_revision')">
              %%Nee%%
            </label>
          </div>
        </div>
      </form>
    </div>
    <div class="inner" data-ng-if="root==intake&&!collapsed" data-ng-show="update.is_revision!=1"
         data-ng-include="'/partials/docs/properties.html'" data-ng-init="intakeMode=true">
    </div>
  </div>
</script>

<script type="text/ng-template" id="/docs/list-view-entity-info.html">
  <div class="list-view-entity-highlight">
    <div class="list-view-entity-options" data-ng-show="entity.getDepth()>0" data-ng-click="!isDisabled(entity) && onToggleClick($event, entity)">
      <div class="list-view-entity-checkbox-wrapper">
        <span 
          class="list-view-entity-checkbox"
          data-ng-class="{ 'has-selected-children': hasSelectedChildren(entity) && !isSelected(entity) }"
        >
          <input
            type="checkbox"
            ng-if="!isDisabled(entity)"
            data-ng-checked="isSelected(entity)"
            data-ng-click="onToggleClick($event, entity)"
          >
        </span>
      </div>
      <i
        class="mdi mdi-lock"
        ng-if="isDisabled(entity) && entity.lock_subject_name"
        data-zs-tooltip="Dit document wordt op dit moment bewerkt door gebruiker: <[entity.lock_subject_name]>"></i>
      <i
        class="mdi mdi-lock"
        ng-if="isDisabled(entity) && !entity.lock_subject_name"
        data-zs-tooltip="Dit document is niet bewerkbaar"></i>
    </div>
    <div class="list-view-depth-padding"
         data-ng-repeat="i in [0, 1, 2, 3, 4, 5] | limitTo:entity.getDepth() && entity.getDepth()-1 || 0">
    </div>
    <div class="list-view-entity-title"
         data-ng-class="{'has-publication-settings': entity.publish_pip||entity.publish_website}">
      <div class="list-view-entity-icon" data-zs-file-preview data-ng-mouseenter="showPreview()"
           data-ng-mouseleave="hidePreview()"
           data-ng-click="entity.getEntityType()=='folder'&&toggleCollapse($event)">
        <div class="the-icon"></div>
        <div class="the-eye" data-ng-show="preview"></div>
      </div>
      <div class="list-view-entity-title-text">
        <div class="list-view-entity-name" data-ng-show="entity===root">
					<span>
						%%Verplaats naar hoofdmap%%
					</span>
        </div>
        <div class="list-view-entity-name" data-ng-show="entity!==root" data-ng-editable
             data-ng-editable-active="<[entity.getEntityType()=='folder'&&editName]>">
	    			<span>
							<span
                class="doc-dropdown-menu-item"
                tabindex="0"
                role="link"
                data-ng-controller="nl.mintlab.docs.FilePreviewController"
                data-zs-popup="'/partials/docs/pdf-reader-popup.html'"
                data-ng-click="onNameClick($event)"
                data-ng-keydown="onNameClick($event)"
                data-ng-show="entity.extension_dotless!='msg' && !isDisabled(entity)"
              >
									<[entity.name]><span data-ng-show="entity.extension"><[entity.extension]></span>
							</span>
							<span
                class="doc-dropdown-menu-item doc-dropdown-menu-item-disabled"
                data-ng-show="entity.extension_dotless!='msg' && isDisabled(entity)"
              >
									<[entity.name]><span data-ng-show="entity.extension"><[entity.extension]></span>
							</span>
							<span
                class="doc-dropdown-menu-item no-link"
                data-ng-show="entity.extension_dotless=='msg'"
              >
								<[entity.name]><span data-ng-show="entity.extension"><[entity.extension]></span>
						</span>
						<zs-icon
              icon-type="alert-circle"
              data-zs-tooltip="Bestandstype is niet archiefwaardig"
              ng-if="!entity.filestore_id.is_archivable && entity.getEntityType()!='folder'"
            ></zs-icon>
            <zs-icon
              icon-type="eye-off"
              data-zs-tooltip="Dit document heeft een vertrouwelijkheidsaanduiding"
              ng-if="isConfidential(entity)"
            ></zs-icon>

					</span>

          <form class="inline-form" name="editFolderName"
                data-ng-submit="editFolderName.$valid&&editSave(folderName)">
            <input type="text" data-ng-model="folderName" data-ng-required="true"
                   pattern="^[^&lt;&gt;&quot;:/\\|?*]+$">
          </form>
        </div>

        <div class="list-view-entity-label" data-ng-repeat="caseDoc in entity.case_documents"
             data-ng-draggable="!readOnly&&isNotReferentialCaseDoc(caseDoc)"
             data-ng-drag-mimetype="zs/case-type"
             data-ng-drag-data="{ caseDoc: caseDoc, clearPrevious: entity }">
	    			<span class="item-label">
	    				<span class="item-label-text"><[getCaseDocLabel(caseDoc)]></span>
	    				<button data-ng-show="!readOnly" data-ng-click="onRemoveCaseDocClick(caseDoc, $event)"><i
                class="mdi mdi-close" title="%%Verwijder zaakdocument label%%"></i></button></span>
        </div>

        <div data-ng-show="update.is_revision" class="list-view-entity-label list-view-entity-label-revision">
          <span data-ng-show="root==intake" class="item-label">%%Nieuwe versie%%</span>
        </div>

        <div class="list-view-entity-desc" data-ng-editable data-ng-model="entity.description">
          <span><[entity.metadata_id.description]></span>
        </div>

        <div class="doc-info-icons">
          <i class="mdi mdi-share-variant" data-ng-show="entity.publish_pip || entity.publish_website"
             data-zs-tooltip="Publicatie op: <[entity.publish_pip && 'PIP' || '']><[(entity.publish_pip&&entity.publish_website) && ',' || '']> <[entity.publish_website && 'Website' || '']>"></i>
          <i class="icon icon-font-awesome icon-quote-right"
             data-zs-tooltip="Er <[entity.annotation_count > 1 && 'zijn' || 'is']> <[entity.annotation_count]> annotatie<[entity.annotation_count > 1 && 's' || '']> gedaan op dit bestand"
             data-ng-show="entity.annotation_count > 0"></i>
        </div>

      </div>

    </div>

    <div class="list-view-entity-type">
      <span class="list-view-entity-type-ext"><[entity.extension_dotless]></span>
    </div>

    <div class="list-view-entity-origin">
      <span class="list-view-entity-origin-ext"><[entity.metadata_id.origin]></span>
    </div>

    <div class="list-view-entity-origin-date">
      <span class="list-view-entity-origin-ext"><[(entity.metadata_id.origin !== 'Intern' && entity.metadata_id.origin_date | date:'shortDate') || '']></span>
    </div>

    <div
      class="list-view-entity-edit <[entity.version>1&&'list-view-entity-edit-revised']>"
      data-ng-show="entity.getEntityType()=='file' && !isDisabled(entity)"
      data-ng-click="!pip&&root!=intake&&openPopup()"
      data-zs-popup="'/partials/docs/doc-version-modal.html'"
      data-zs-tooltip="<[!pip&&entity.version>1&&'Klik hier om ' + (entity.version-1) + ' versie(s) te zien'||'']>"
    >
      <span class="list-view-entity-edit-datetime">
        <[(entity.date_created | date:'short') || '--']>
      </span>
      <div data-ng-show="entity.version>1" class="list-view-entity-label list-view-entity-label-revision">
        <span class="item-label">v<[entity.version]></span>
      </div>
      <span
      class="list-view-entity-edit-user"><[entity.created_by_display_name]></span>
    </div>
    <div
      class="list-view-entity-edit <[entity.version>1&&'list-view-entity-edit-revised']>"
      data-ng-show="entity.getEntityType()=='file' && isDisabled(entity)"
    >
      <span class="list-view-entity-edit-datetime"><[(entity.created | date:'short') || '--']></span>
      <div data-ng-show="entity.version>1" class="list-view-entity-label list-view-entity-label-revision">
        <span class="item-label">v<[entity.version]></span>
      </div>
      <span
      class="list-view-entity-edit-user"><[entity.created_by_display_name]></span>
    </div>
    <div class="list-view-entity-actions" data-ng-show="!readOnly&&root==intake">
      <button
              class="intake-document-accept shiny-btn"
              data-ng-click="acceptFile([entity])"
              ng-disabled="accepting"
      >
              <span>%%Accepteren%%</span>
      </button>
      <button
              data-zs-popup="'/partials/docs/reject-popup.html'" class="intake-document-reject shiny-btn"
              data-ng-click="selectedFiles=[entity];openPopup()"
              ng-disabled="accepting"
      >
              <span>%%Weigeren%%</span>
      </button>
      <button
              class="intake-document-edit shiny-btn"
              data-ng-click="setEditMode(true);toggleCollapse($event)"
              ng-disabled="accepting"
      >
              <span>%%Wijzigen%%</span>
      </button>
    </div>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/doc-context-menu.html">
  <div class="doc-context-menu doc-dropdown-menu">
    <ul>
      <li data-ng-show="!readOnly&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='folder'">
        <button data-ng-click="openPopup()" data-zs-popup="'/partials/docs/edit-directory-name.html'"
                class="doc-dropdown-menu-item">
          %%Naam wijzigen%%
        </button>
      </li>
      <li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
        <button data-ng-click="downloadFile(selectedFiles[0].id)" class="doc-dropdown-menu-item">
          %%Openen%%
        </button>
      </li>
      <li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'" data-zs-hover-menu>
        <span class="doc-dropdown-menu-item">%%Openen als%%</span>
        <ul>
          <li>
            <button data-ng-click="downloadFile(selectedFiles[0].id, 'pdf')" class="doc-dropdown-menu-item">
              %%PDF%%
            </button>
            <button data-ng-click="downloadFile(selectedFiles[0].id, 'odt')" class="doc-dropdown-menu-item"
                    data-ng-show="selectedFiles[0].extension_dotless=='odt'">
              %%Open Office Document%%
            </button>
            <button data-ng-click="downloadFile(selectedFiles[0].id, 'doc')" class="doc-dropdown-menu-item"
                    data-ng-show="selectedFiles[0].extension_dotless=='odt'">
              %%Word Document%%
            </button>
          </li>
        </ul>
      </li>
      <li data-ng-show="selectedFiles.length>1">
        <button data-ng-click="downloadZip(selectedFiles)" class="doc-dropdown-menu-item">
          %%Downloaden (ZIP)%%
        </button>
      </li>
      <li data-ng-show="selectedFiles.length===1&&isEditable(selectedFiles[0])&&root==list">
        <button data-zs-popup="'/partials/docs/odf-edit-popup.html'" data-ng-click="handleEditClick(openPopup)"
                class="doc-dropdown-menu-item">
          %%Bewerk%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==list">
        <button
          class="doc-dropdown-menu-item"
          data-zs-confirm="removeEntity(selectedFiles)"
          data-zs-confirm-enabled="hasHiddenFilesInSelection"
          data-zs-confirm-verb="Verwijderen"
          data-zs-confirm-label="Eén of meer van de geselecteerde mappen is niet leeg. Weet u zeker dat u deze selectie wilt verwijderen?"
        >
          %%Verwijderen%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==trash">
        <button data-ng-click="restoreEntity(selectedFiles)" class="doc-dropdown-menu-item">
          %%Herstellen%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==trash&&canDelete">
        <button data-ng-click="destroyEntity(selectedFiles);" class="doc-dropdown-menu-item">
          %%Definitief verwijderen%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==list&&hasFilesInSubdirectories()">
        <button data-ng-click="moveEntity(selectedFiles, root)" class="doc-dropdown-menu-item">
          %%Verplaats naar hoofdmap%%
        </button>
      </li>
      <!--li data-ng-show="!readOnly&&root==list&&isCuttable()">
		  <button data-ng-click="cutFiles(selectedFiles)" class="doc-dropdown-menu-item">
			  %%Knippen%%
		  </button>
	  </li>
	  <li data-ng-show="!readOnly&&root==list&&isPastable()">
		  <button data-ng-click="pasteFiles()" class="doc-dropdown-menu-item">
			  %%Plakken%%
		  </button>
	  </li-->
      <li data-ng-show="!readOnly&&root==intake">
        <button data-ng-click="acceptFile(selectedFiles);deselectAll();" class="doc-dropdown-menu-item">
          %%Accepteren%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==intake">
        <button data-zs-popup="'/partials/docs/reject-popup.html'" data-ng-click="openPopup()"
                class="doc-dropdown-menu-item">
          %%Weigeren%%
        </button>
      </li>
      <li data-ng-show="!readOnly&&root==list&&selectedFiles.length==1&&canCopyAsPdf(selectedFiles[0])">
        <button data-ng-click="copyFileAsPdf(selectedFiles[0]);" class="doc-dropdown-menu-item">
          <span class="action-bar-button-label">%%Kopiëren als PDF%%</span>
        </button>
      </li>
      <li data-ng-show="case.instance.status !== 'resolved' && getAttachments().length">
        <button 
          data-ng-click="attachments=getAttachments();openPopup()" 
          data-zs-popup="'/html/case/send-message.html'" 
          data-ng-init="context='docs'" 
          class="doc-dropdown-menu-item">
					  %%Bericht versturen%%
				</button>
      </li>
      <hr
        data-ng-show="readOnly&&caseDocs.length&&root==list&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
      <li
        data-ng-show="!readOnly&&caseDocs.length&&root==list&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
        data-zs-hover-menu>
        <span class="doc-dropdown-menu-item">%%Zaakdocument%%</span>
        <ul>
          <li class="case-type-doc"
              data-ng-class="{'case-type-doc-active': hasCaseDoc(selectedFiles, zaakdoc)}"
              data-ng-repeat="zaakdoc in [ null ].concat(caseDocs) | filter:isNotReferentialCaseDoc">
            <button data-ng-click="handleCaseDocClick(zaakdoc, $event)" class="doc-dropdown-menu-item">
              <i class="mdi mdi-check"></i> <[getCaseDocLabel(zaakdoc)||'%%Geen%%']>
            </button>
          </li>
        </ul>
      </li>
      <li class="action-bar-button"
          data-ng-show="!readOnly&&root==list&&selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'"
          data-ng-upload="replaceFile(selectedFiles[0], $files)">
        <button class="doc-dropdown-menu-item">
          <span>%%Vervang%%</span>
        </button>
        <form action="/file/update_file" method="POST" enctype="multipart/form-data">
          <input type="file" name="file">
        </form>
      </li>
      <hr data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
      <li data-ng-show="selectedFiles.length==1&&selectedFiles[0].getEntityType()=='file'">
        <button class="doc-dropdown-menu-item" data-zs-popup="'/partials/docs/properties-popup.html'"
                data-ng-click="setEditMode(false);openPopup()">
          %%Eigenschappen%%
        </button>
      </li>
    </ul>
  </div>

</script>

<script type="text/ng-template" id="/partials/docs/doc-version-modal.html">
  <div data-zs-modal data-ng-init="title='Versiebeheer'">
    <div class="doc-version-modal version-control" data-ng-controller="nl.mintlab.docs.VersionController">
      <h3 class="version-control-title">%%Versies%%</h3>
      <ul class="version-control-version-list">
        <li class="clearfix" data-ng-repeat="rev in revisions | orderBy:'version':true"
            data-ng-click="showRevision(rev)">
          <a data-ng-click="downloadFile(rev.file_id)">
            <strong><[rev.name]><[rev.extension]></strong>
          </a>
          <span class="item-label item-label-default"
                zs-tooltip="Aangemaakt door <[rev.created_by]> op <[rev.date_created | date:'medium']>">Versie <[rev.version]></span>
          <span data-ng-show="entity.id==rev.file_id"
                class="item-label item-label-default version-control-current-version">
						<i class="mdi mdi-check"></i> %%Huidige versie%%
					</span>
          <span data-ng-show="rev.version_info">"<[rev.version_info]>"</span>
          <button data-ng-show="!readOnly&&entity.id!=rev.file_id" data-ng-click="revertTo(rev)"
                  class="btn btn-flat right">
            %%Herstellen%%
          </button>
        </li>
      </ul>
      <h3 class="version-control-title">Log</h3>
      <div class="version-control-log version-control-inner-scroll">
        <ul>
          <li class="clearfix" data-ng-repeat="log in revision.log">
            <pre><[log.description]></pre>
            <span class="right"><[log.timestamp | date:'medium']></span>
          </li>
        </ul>
      </div>
    </div>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/properties-popup.html">
  <div data-zs-modal
       data-ng-init="title='%%Eigenschappen van%% ' + selectedFiles[0].name + selectedFiles[0].extension;">
    <div data-ng-include="'/partials/docs/properties.html'" data-ng-controller="nl.mintlab.docs.FileController"
         data-ng-init="entity=selectedFiles[0];editMode=!readOnly">
    </div>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/pdf-reader-popup.html">
  <div data-zs-modal class="modal-fullscreen" data-ng-init="title=entity.name + entity.extension; downloadUrl='/zaak/' + caseId + '/document/' + entity.id + '/download'">
    <zs-case-document-viewer
      case-id="caseId"
      file-id="entity.id"
      extension="selectedFiles[0].extension"
    >
    </zs-case-document-viewer>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/reject-popup.html">
  <div data-zs-modal data-ng-init="title='Document weigeren'" class="document-deny-modal">
    <div
      data-ng-controller="nl.mintlab.docs.RejectController"
      ng-init="entity=selectedFiles[0];reject_to_queue=entity.reject_to_queue"
    >
      <p>
        Wat wilt u met '<[entity.name + entity.extension]>' doen?
      </p>

      <p class="document-rejection-type">
        <label>
          <input
            type="radio"
            data-ng-model="reject_to_queue"
            value="1"
          >
          Verplaatsen naar de documentintake
        </label>
        <br>
        <label>
          <input
            type="radio"
            data-ng-model="reject_to_queue"
            value="0"
          >
          Permanent verwijderen
        </label>
      </p>

      <p>
        <label>Opmerking: <input
          type="text"
          data-ng-model="rejection_reason"
        ></label>
      </p>

      <button class="btn btn-flat" data-ng-click="reject(selectedFiles)">Akkoord</button>
    </div>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/properties.html">
  <form name="properties" class="form" data-ng-init="showExpanded=false;">
    <div class="row">
      <div class="column large-4">%%Naam%% *</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.name]><[entity.extension]></span>
        <input type="text" data-ng-show="editMode" name="name" data-ng-required="true"
               data-ng-model="update.name" data-ng-pattern="/^[^\*\:\?\|\\&lt;&gt;&amp;/]+$/"
               data-ng-blur="properties.name.$valid&&saveAttr('name')" class="large300">
      </div>
      <div class="value-validity" ng-show="properties.name.$error.pattern">De volgende tekens zijn niet
        toegestaan: *, :, ?, &lt;, &gt;, &amp;, |, \, /
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Omschrijving%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.description||'--']></span>
        <input type="text" data-ng-show="editMode" data-ng-model="update.metadata_id.description"
               data-ng-blur="saveAttr('metadata_id.description')" class="large300">
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Documentcategorie%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.document_category||'--']></span>
        <select data-ng-show="editMode" data-ng-model="update.metadata_id.document_category"
                data-ng-change="saveAttr('metadata_id.document_category')"
                data-ng-options="docCat.label as docCat.value for docCat in $parent.docCats | orderBy:index">

        </select>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Documentstatus%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.document_status||'--']></span>
        <select data-ng-show="editMode" data-ng-model="update.document_status"
                data-ng-change="saveAttr('document_status')"
                data-ng-options="status.value as status.label for status in getDocumentStatuses()">

        </select>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Vertrouwelijkheid%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.trust_level||'--']></span>
        <select data-ng-show="editMode" data-ng-model="update.metadata_id.trust_level"
                data-ng-change="saveAttr('metadata_id.trust_level')"
                data-ng-options="value for value in $parent.validTrustLevels">

        </select>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Richting%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.origin||'--']></span>
        <select data-ng-show="editMode" data-ng-model="update.metadata_id.origin"
                data-ng-change="saveAttr('metadata_id.origin')"
                data-ng-options="value for value in $parent.validOrigins">

        </select>
      </div>
    </div>
    <div class="row" data-ng-show="update.metadata_id.origin==='Inkomend'||entity.metadata_id.origin==='Uitgaand'">
      <div class="column large-4"><[update.metadata_id.origin==='Uitgaand' ? 'Verzenddatum' : 'Ontvangstdatum']>
      </div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[(entity.metadata_id.origin_date | date) || '--']></span>
        <div data-ng-show="editMode" class="form-date-range-picker"
             data-zs-date-range-picker
             data-zs-date-range-picker-mode="date"
             data-zs-date-picker-model

             data-ng-model="update.metadata_id.origin_date"
             data-zs-model-transformers="date.iso"
             data-ng-change="saveAttr('metadata_id.origin_date')">
        </div>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%PRONOM identificatie%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.pronom_format||'--']></span>
        <input data-ng-show="editMode" type="text" data-ng-model="update.metadata_id.pronom_format"
               data-ng-blur="saveAttr('metadata_id.pronom_format')" class="large300" placeholder="fmt/NNN">
        </input>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Verschijningsvorm%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.appearance||'--']></span>
        <input data-ng-show="editMode" type="text" data-ng-model="update.metadata_id.appearance"
               data-ng-blur="saveAttr('metadata_id.appearance')" class="large300">
        </input>
      </div>
    </div>
    <div class="row">
      <div class="column large-4">%%Structuur%%</div>
      <div class="column large-8">
        <span data-ng-show="!editMode"><[entity.metadata_id.structure||'--']></span>
        <input data-ng-show="editMode" type="text" data-ng-model="update.metadata_id.structure"
               data-ng-blur="saveAttr('metadata_id.structure')" class="large300">
        </input>
      </div>
    </div>

    <div class="row">
      <div class="column large-4">%%Publicatie%%</div>
      <div class="column large-8">
        <div data-ng-show="!editMode">
          <span data-ng-show="entity.publish_pip==1">%%Publiceren op PIP%%</span>
          <span data-ng-show="entity.publish_pip!=1">%%Niet publiceren op PIP%%</span>
        </div>
        <label data-ng-show="editMode">
          <input type="checkbox" ng-true-value=1 ng-false-value=0 data-ng-model="update.publish_pip"
                 data-ng-change="saveAttr('publish_pip')"> %%Publiceer op PIP%%
        </label>
        <div data-ng-show="!editMode">
          <span data-ng-show="entity.publish_website==1">%%Publiceren op website%%</span>
          <span data-ng-show="entity.publish_website!=1">%%Niet publiceren op website%%</span>
        </div>
        <label data-ng-show="editMode">
          <input type="checkbox" ng-true-value=1 ng-false-value=0 data-ng-model="update.publish_website"
                 data-ng-change="saveAttr('publish_website')"> %%Publiceer op website%%
        </label>
      </div>
    </div>

    <div class="row" data-ng-controller="nl.mintlab.docs.FileIntegrityController" data-ng-init="verifyIntegrity()">
      <div class="column large-4">%%Integriteit bestand%%</div>
      <div class="column large-8">
        <span data-ng-show="loading">%%Controleert integriteit bestand%%...</span>
        <span class="file-verified-success has-icon" data-ng-show="!loading&&status=='verified'"><i
          class="icon icon-integrity-ok icon-docs"></i> %%Bestand geverifieerd%%.</span>
        <span class="file-verified-error has-icon" data-ng-show="!loading&&status=='error'"><i
          class="icon icon-integrity-not-ok icon-docs"></i> %%Bestand kon niet geverifieerd worden%%.</span>
      </div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%Documentnummer%%</div>
      <div class="column large-8"><[entity.id]></div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%Soort%%</div>
      <div class="column large-8"><[entity.filestore_id.mimetype]></div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%Bestandsgrootte%%</div>
      <div class="column large-8"><[entity.filestore_id.size|size:0]></div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%Versie%%</div>
      <div class="column large-8"><[entity.version]></div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%MD5-Hash%%</div>
      <div class="column large-8"><[entity.filestore_id.md5]></div>
    </div>

    <div class="row" data-ng-show="showExpanded">
      <div class="column large-4">%%Documentstatus%%</div>
      <div class="column large-8">%%Origineel%%</div>
    </div>

    <button type="button" class="btn-show-more" data-ng-class="{ 'show-less': showExpanded }"
            data-ng-click="showExpanded=!showExpanded">
      <i class="icon icon-show-more"></i>
      <span data-ng-show="!showExpanded">%%Toon uitgebreide informatie%%</span>
      <span data-ng-show="showExpanded">%%Verberg uitgebreide informatie%%</span>
    </button>

    <!--input data-ng-show="!readOnly&&intakeMode" type="submit" class="button140 entity-option-accept" value="Accepteren" data-ng-click="acceptFile([entity])"/-->
  </form>
</script>

<script type="text/ng-template" id='/partials/docs/drag-image.html'>
  <div class="drag-image">
    <div class="drag-single-file" data-ng-show="selectedFiles.length == 1">
      <div class="drag-mimetype-icon" data-mimetype="<[selectedFiles[0].getMimeType()]>"></div>
      <div class="drag-label" data-ng-if="selectedFiles.length == 1">
        <strong>%%Verplaats%%</strong><[selectedFiles.length]>
        <[selectedFiles[0].name]><[selectedFiles[0].extension]>
      </div>
      <div class="drag-label" data-ng-if="selectedFiles.length == 0">
        Bestand is uitgecheckt en kan niet verplaatst worden
      </div>
    </div>
    <div class="drag-multiple-files" data-ng-show="selectedFiles.length>1">
      <div class="drag-mimetype-icon"></div>
      <div class="drag-label">
        <strong>%%Verplaats%%</strong> <[selectedFiles.length]> %%documenten%%
      </div>
    </div>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/edit-directory-name.html">
  <div data-zs-modal data-ng-init="title='Wijzig naam'">
    <form name="editFolderName" data-ng-controller="nl.mintlab.docs.FolderController"
          data-ng-init="entity=selectedFiles[0]"
          data-ng-submit="editFolderName.$valid&&saveName(update.name);editFolderName.$valid&&closePopup()">
      <div class="row">
        <div class="column large-4">%%Naam%%</div>
        <div class="column large-8">
          <input type="text" name="name" data-ng-required="true" data-ng-model="update.name"
                 pattern="^[^&lt;&gt;&quot;:/\\|?*]+$"
                 data-ng-blur="editFolderName.name.$valid&&saveName(update.name)">
        </div>
      </div>
    </form>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/template.html">

  <div class="xential-modal" data-zs-modal data-ng-init="title='%%Sjabloon gebruiken%%'">

    <zs-case-template-form
      case-id="caseId"
      case-docs="caseDocs"
      templates="templates"
      show-template-select="true"
      data-actions="actions"
      data-values="{ template: template, name: name, targetFormat: targetFormat }"
      on-done="closePopup()"
    >
    </zs-case-template-form>

  </div>
</script>

<!-- ZS-TODO: Figure out of this is being used somewhere. !-->
<script type="text/ng-template" id="/partials/docs/email-template-popup.html">
  <div data-zs-modal data-ng-init="title='%%E-mail versturen%%'">
    <form data-ng-controller="nl.mintlab.docs.EmailTemplateController">
    </form>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/odf-edit-popup.html">
  <div
    class="modal-fullscreen modal-editor modal-webodf"
    data-zs-modal
    data-ng-init="title=selectedFiles[0].name + selectedFiles[0].extension;"
  >
    <zs-case-document-odf-editor
      case-id="caseId"
      file="selectedFiles[0]"
      replace-file="replaceFile($file, $replace, $params)"
      upload-file="uploadFile($files, $params)"
    >
    </zs-case-document-odf-editor>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/odf-edit-popup-zoho.html">
  <div
    class="modal-fullscreen modal-editor modal-zoho"
    data-zs-modal
    data-ng-init="title=selectedFiles[0].name + selectedFiles[0].extension;"
  >
    <iframe data-ng-src="<[getZohoUrl(selectedFiles[0])]>"/>
  </div>
</script>

<script type="text/ng-template" id="/partials/docs/koppelapp_signer.html">
    <div class="modal-large modal-signer" data-zs-modal data-ng-init="title=selectedFiles[0].name + ' ondertekenen';">
        <iframe id="koppelapp_signer_iframe" width="900" height="800" data-ng-src="<[getDocumentKoppelAppSrc(selectedFiles[0])]>" frameborder=0></iframe>
    </div>
</script>

<script type="text/ng-template" id="/partials/docs/koppelapp_document_masker.html">
    <div class="modal-large modal-document-masker" data-zs-modal data-ng-init="title=selectedFiles[0].name + ' anonimiseren';">
        <iframe id="koppelapp_document_masker_iframe" width="1100" height="800" data-ng-src="<[getDocumentKoppelAppDocumentMaskerSrc(selectedFiles[0])]>" frameborder=0"></iframe>
    </div>
</script>

<script type="text/ng-template" id="/partials/docs/copy-to-popup.html">
  <div data-zs-modal data-ng-init="title='Document(en) kopi&euml;ren'" class="document-deny-modal">
    <form data-ng-controller="nl.mintlab.docs.FileCopyController" data-ng-init="selectedFiles=selectedFiles">

      <zs-spinner class="spinner-regular spinner-overlay" is-loading="isLoading"></zs-spinner>

      <p>
        U heeft <[selectedFiles.length]> document<[ selectedFiles.length > 1 ? "en" : "" ]> geselecteerd.
      </p>
      <p>
      <div ng-show="copyType === 'case'">

        <zs-object-suggest
          class="widget-favorite-suggest"
          on-select="selectedSuggestion($object)"
          on-key-up="onKeyUp($query)"
          type="getType()"
          placeholder="Kopieer naar zaak..."
          is-fixed="false"
          replace-query-text=true
        >
        </zs-object-suggest>

      </div>

      <div ng-show="copyType === 'related'">

        <div ng-show="relatedCases">

          <div ng-show="relatedCases.length === 0">Geen gerelateerde zaken gevonden.</div>

          <div ng-show="relatedCases.length > 0">
            <label for="copyToCase">Kopieer naar: &nbsp;</label>
            <select
              id="copyToCase"
              ng-model="copyToCase"
              ng-options="case as case.name for case in relatedCases"
            ></select>
          </div>
        </div>
      </div>
      <button
        ng-show="copyToCase"
        class="btn btn-flat"
        data-ng-click="startCopy();"
      >%%Kopieer%%</button>
    </form>
  </div>
</script>

<script type="text/ng-template" id="/docs/merge-list-file.html">
  <div class="list-view-entity-title" data-as-sortable-item-handle>
      <div class="list-view-entity-icon">
        <div class="the-icon"></div>
      </div>
      <div class="list-view-entity-title-text">
        <div class="list-view-entity-name">
          <p>
            <[entity.name]>
					</p>
        </div>
      </div>
    </div>    
</script>

<script type="text/ng-template" id="/partials/docs/merge-documents-popup.html">
  <div data-zs-modal data-ng-init="title='Documenten samenvoegen'" class="document-merge-modal">
    <form 
      data-ng-controller="nl.mintlab.docs.FileMergeController" 
      data-ng-init="selectedFiles=selectedFiles"
      data-ng-submit="canSubmit()&&startMerge()"
    >
      <p>
        U heeft <[selectedFiles.length]> document<[ selectedFiles.length > 1 ? "en" : "" ]> geselecteerd om samen te voegen.
      </p>
      <p class="explanation">Door deze actie uit te voeren, worden de geselecteerde documenten samengevoegd tot een nieuw enkelvoudig document. Alleen bestanden die in PDF geconverteerd kunnen worden, worden samengevoegd tot maximaal 256MB. Let op: het samenvoegen kan enige tijd in beslag nemen. Ververs het scherm na enige tijd.</p>
      
      <vorm-fieldset
        data-fields="getFields()"
        data-valid="getValidity()"
        data-values="values()"
        on-change="handleChange($name, $value)"
        model-options="{ debounce: { click: 0, default: 250 } }"
      >
      </vorm-fieldset>
            
      <ol>
        <li
          class="object-type object-type-<[entity.getEntityType()]>"
          data-mimetype="<[entity.getMimeType()]>"
          data-ng-repeat="entity in getFileList() track by entity.id"
          data-ng-include="'/docs/merge-list-file.html'"
        >
        </li>
      </ol>
      
      <div class="form-actions">
        <zs-spinner
            class="spinner-regular"
            is-loading="isLoading"
        ></zs-spinner>
        <button
          type="button"
          class="btn btn-flat"
          data-ng-click="closePopup();"
        >
          %%Annuleren%%
        </button>
        <button
          type="submit"
          class="btn btn-primary"
          zs-disabled="!canSubmit()"
        >
          %%Versturen%% 
        </button>
      </div>
    </form>
  </div>
</script>
